aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2020-09-15 14:21:06 +0300
committerToni Saario <toni.saario@qt.io>2020-09-15 18:44:12 +0300
commit031bc19ae6278a8f12ec195f8dfa14d326efb23f (patch)
treefd944d41283d123041c5614f5a1e0ebc7d601832
parentb43c199d4add1a1fee19cf5076047e735b72e006 (diff)
Provisioning: Disable fstrim.timer
fstrim scans the filesystem and sends 'UNMAP' commands for each unused block it finds. Let's disable it so it won't cause unexpected situations. Task-number: QTQAINFRA-3919 Change-Id: I20c97441fd47728a3063ae50f87fe6347186bdbd Reviewed-by: Alexandru Croitor <alexandru.croitor@qt.io>
-rw-r--r--coin/provisioning/qtci-linux-SLES-15-x86_64/01-disable-fstrim_timer.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-SLES-15-x86_64/01-disable-fstrim_timer.sh b/coin/provisioning/qtci-linux-SLES-15-x86_64/01-disable-fstrim_timer.sh
new file mode 100644
index 00000000..9fd06e72
--- /dev/null
+++ b/coin/provisioning/qtci-linux-SLES-15-x86_64/01-disable-fstrim_timer.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# This will disable fstrim. The fstrim.timer is scheduled to activate the fstrim.service
+sudo systemctl stop fstrim.timer
+sudo systemctl disable fstrim.timer